<?php
/**
 * $Horde: jeta/main.php,v 1.15 2006/08/05 23:32:05 slusarz Exp $
 *
 * Copyright 2002-2006 Eric Rostetter <eric.rostetter@physics.utexas.edu>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('JETA_BASE', dirname(__FILE__));
require_once JETA_BASE . '/lib/base.php';
require_once 'Horde/Menu.php';
require_once 'Horde/Template.php';

$menu = new Menu(HORDE_MENU_MASK_ALL & ~HORDE_MENU_MASK_PREFS);

$template = new Horde_Template();
$template->set('menu', $menu->render());
$template->set('notification', $notification->notify(array('listeners' => 'status')));

$params = array();
$params[] = array(
    'name' => 'sshapps.connection.userName',
    'val' => (empty($conf['user']['hordeauth']) || ($conf['user']['hordeauth'] === 'full')) ? Auth::getAuth() : Auth::getBareAuth()
);
foreach ($conf['ssh'] as $key => $val) {
    $params[] = array(
        'name' => 'sshapps.connection.' . $key,
        'val' => ($val === true) ? 'true' : (($val === false) ? 'false' : $val)
    );
}
foreach ($conf['ui'] as $key => $val) {
    $params[] = array(
        'name' => 'sshapps.ui.' . $key,
        'val' => ($val === true) ? 'true' : (($val === false) ? 'false' : $val)
    );
}
$template->set('params', $params);

require JETA_TEMPLATES . '/common-header.inc';
echo $template->fetch(JETA_TEMPLATES . '/main.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
